package com.atlassian.bitbucket.test.rest.repository;

import com.atlassian.bitbucket.test.rest.AbstractEnrichableRestRequest;

import javax.annotation.Nonnull;

/**
 * Request to see the details of a given repository. The repository context is encapsulated by the
 * {@link RestRepositoryHelper helper}.
 */
public class RestRepositoryRequest extends AbstractEnrichableRestRequest {

    public RestRepositoryRequest(@Nonnull Builder builder) {
        super(builder);
    }

    public static class Builder extends AbstractEnrichableBuilder<Builder, RestRepositoryRequest> {

        @Nonnull
        @Override
        public RestRepositoryRequest build() {
            return new RestRepositoryRequest(this);
        }

        @Nonnull
        @Override
        protected Builder self() {
            return this;
        }
    }
}
